/*******************************************************************************
Copyright 2016 Microchip Technology Inc. (www.microchip.com)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

To request to license the code under the MLA license (www.microchip.com/mla_license), 
please contact mla_licensing@microchip.com
*******************************************************************************/

// Created by the Microchip USBConfig Utility, Version 1.0.4.0, 4/25/2008, 17:05:22

#ifndef _usb_config_h_
#define _usb_config_h_

#include <xc.h>
        
// Supported USB Configurations


#define USB_SUPPORT_HOST

// Hardware Configuration

#define USB_PING_PONG_MODE                  USB_PING_PONG__FULL_PING_PONG

// Host Configuration

#define NUM_TPL_ENTRIES                     2
#define USB_NUM_CONTROL_NAKS                20
#define USB_SUPPORT_INTERRUPT_TRANSFERS
#define USB_NUM_INTERRUPT_NAKS              20
#define USB_INITIAL_VBUS_CURRENT            (100/2)
#define USB_INSERT_TIME                     (250+1)
#define USB_HOST_APP_EVENT_HANDLER          USB_ApplicationEventHandler
#define USB_ENABLE_TRANSFER_EVENT
#define USB_INTERRUPT_PRIORITY              0x00000004

#define USE_EVENT_HID_RPT_DESC_PARSED

// Host HID Client Driver Configuration

#define USB_MAX_HID_DEVICES                 1
#define HID_MAX_DATA_FIELD_SIZE             8
#define APPL_COLLECT_PARSED_DATA            USB_HID_DataCollectionHandler

// Helpful Macros

#define USBTasks()                  \
    {                               \
        USBHostTasks();             \
        USBHostHIDTasks();          \
    }

#define USBInitialize(x)            \
    {                               \
        USBHostInit(x);             \
    }


#endif /* _usb_config_h_ */

